Skip to main content
GET
/
nft
/
transfers
Get Wallet NFT Transfers
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/nft/transfers \
  --header 'X-API-KEY: <api-key>'
{
  "transfers": [
    {
      "contractAddress": "0x18a808dd312736fc75eb967fc61990af726f04e4",
      "tokenId": "18",
      "amount": "1",
      "blockNumber": "13062953",
      "transactionHash": "0xd89b54cb5aca6f501d43ee3363dcc892d31d1c185c9059c22d686ca0a1b93314",
      "fromAddress": "0x0000000000000000000000000000000000000000",
      "toAddress": "0x5c43b1ed97e52d009611d89b74fa829fe4ac56b1",
      "contractType": "ERC721",
      "timestamp": "",
      "name": "BurnyBoy",
      "symbol": "BURN"
    }
  ],
  "cursor": "ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="
}

Documentation Index

Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<string>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10143,
10200,
11011,
11124,
11155111,
11155420,
11235,
11297108099,
11297108109,
1135,
1284,
1285,
130,
1301,
1313161554,
137,
14,
168587773,
1868,
1946,
2020,
25,
250,
2741,
30,
300,
31,
321,
322,
324,
32769,
33101,
33111,
33139,
360,
369,
37111,
4002,
4202,
42161,
421614,
42220,
42261,
42262,
43113,
43114,
480,
4801,
50,
51,
534351,
534352,
5371,
5373,
54211,
545,
56,
59141,
59144,
61,
7332,
747,
7777777,
80002,
80094,
81457,
8453,
84532,
88882,
88888,
97,
999999999,
solana,
solana-devnet,
stellar,
stellar-testnet,
toncoin
Example:

1

walletAddress
string
default:0x8D97689C9818892B700e27F316cc3E41e17fBeb9
required

The address of the wallet to query.

Example:

"0x8D97689C9818892B700e27F316cc3E41e17fBeb9"

cursor
string

Cursor from previous query to get next page of results.

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy,
Moralis,
Tatum

Response

200 - application/json
transfers
object[]
required
cursor
string
required
Example:

"ALC_MHgyMzEyZjAwMTQ5ZDAxMDgwNmQ5ZWY2ZjNlYTMyMGViMWUxYTZiYzhlOjB4MDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDAwMDFhYTpmYWxzZQ=="